using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Unity;
using Valg.EVA.Skanning.Configuration;
using Valg.EVA.Skanning.ContainerExtensions;
using Valg.EVA.Skanning.ServicesModel.Internal.SystemSettings;

namespace Valg.EVA.Skanning.Scan.Startup
{
	public class UnityInstaller : IUnityInstaller
	{
		[System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Reliability", "CA2000:Dispose objects before losing scope")]
		public void Install(IUnityContainer unityContainer)
		{
			unityContainer.RegisterType<IApplicationConfigurationReader, ApplicationConfigurationReader>();
			unityContainer.RegisterType<IConfigurationFileProvider, DefaultConfigurationFileProvider>();
			unityContainer.RegisterType<ISystemSettingsProvider, SystemSettingsProvider>();
		}
	}
}

